import 'package:pshared/data/dto/ledger/status.dart';
import 'package:pshared/models/ledger/status.dart';


extension LedgerAccountStatusDTOMapper on LedgerAccountStatusDTO {
  LedgerAccountStatus toDomain() {
    switch (this) {
      case LedgerAccountStatusDTO.unspecified:
        return LedgerAccountStatus.unspecified;
      case LedgerAccountStatusDTO.active:
        return LedgerAccountStatus.active;
      case LedgerAccountStatusDTO.frozen:
        return LedgerAccountStatus.frozen;
    }
  }
}

extension LedgerAccountStatusMapper on LedgerAccountStatus {
  LedgerAccountStatusDTO toDTO() {
    switch (this) {
      case LedgerAccountStatus.unspecified:
        return LedgerAccountStatusDTO.unspecified;
      case LedgerAccountStatus.active:
        return LedgerAccountStatusDTO.active;
      case LedgerAccountStatus.frozen:
        return LedgerAccountStatusDTO.frozen;
    }
  }
}
